Summary: ZendOptimizer Version 3
%define realname smeserver-ZendOptimizer
Name: %{realname}
%define version 3.2.2
Version: %{version}
%define release 1
Release: %{release}
Copyright: ZEND TECHNOLOGIES LTD.
Source: %{realname}-%{version}.tar.gz
Packager: Michael Weinberger <mweinber@neddix.de>
Vendor: neddix IT Consulting und Services, Stuttgart, Germany
BuildRoot: /var/tmp/%{realname}-%{version}-buildroot/
BuildArch: i386
Requires: smeserver-release >= 7, php >= 4.2
AutoReqProv: no
Group: web

%description
This package contains the Zend Optimizer from Zend Technologies Ltd.
Zend Optimizer(TM), Version 3

%changelog
* Mon Jan 22 2007 Michael Weinberger
- ZendOptimizer 3.2.2
- renamed 
* Fri May 26 2006 Michael Weinberger
- Release 1
- /usr/lib/ in specfile changed to /usr/local/Zend/lib/
* Sat Apr 22 2006 Michael Weinberger
- ZendOptimizer 3.0.0


%prep
%setup -q -n %{realname}-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT
rm -f %{name}-%{version}-filelist
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)

rm -f %{name}-%{version}-filelist

find $RPM_BUILD_ROOT -depth -type f -print |\
 sed -e "s@^$RPM_BUILD_ROOT@@g" \
 -e "s@^/etc/php.d/@%attr(0644,root,root) &@"\
 -e "s@^/usr/local/Zend/lib/@%attr(0755,root,root) &@"\
 >> %{name}-%{version}-filelist
find $RPM_BUILD_ROOT -depth -type l -print |\
 sed "s@^$RPM_BUILD_ROOT@@g" >> %{name}-%{version}-filelist



%clean
rm -rf $RPM_BUILD_ROOT
exit 0

%pre
exit 0

%post
if [ "x`/bin/cat /proc/1/cmdline`" = "xinit [7]" ] ; then
	/sbin/e-smith/expand-template /etc/php.ini
	/sbin/e-smith/service httpd-e-smith sigusr1
fi
exit 0


%preun
exit 0

%postun
if [ "x`/bin/cat /proc/1/cmdline`" = "xinit [7]" ] ; then
	/sbin/e-smith/expand-template /etc/php.ini
	/sbin/e-smith/service httpd-e-smith sigusr1
fi
exit 0

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
